Phone Number Voice Status
PhoneNumberVoiceStatusChangedWebhook is sent to the URL set up with /webhooks endpoint for webhook type
PhoneNumberVoiceStatusChanged when a Phone Number Voice Status has been changed.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Phone Number Status Has Changed event.
Response Body
curl -X POST "https://example.com/v1/Webhooks/PhoneNumberVoiceStatusChangedWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "PhoneNumberVoiceStatusChanged", "sid": "WH08df051c8bbaceff3fb758f2c7154e7f24b069fa60220e07", "payload": { "number": "+13234567890", "oldStatus": "Pending", "newStatus": "Active" } }'Call recording POST
`CallRecordingCompletedWebhook` is sent to the URL set up with `/webhooks` endpoint for webhook type `CallRecordingCompleted` when a Call recording is completed and available for download.
Traffic Limit Alert POST
`TrafficLimitAlertWebhook` is sent to the URL set up with the `/webhooks` endpoint for webhook type `TrafficLimitAlert` when a traffic limit is reached or nearly reached.